incubator-callback-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Filip Maj <...@adobe.com>
Subject Re: [Android] Removing DroidDB storage shim, removing Android 3.0 support
Date Wed, 29 Feb 2012 16:57:44 GMT
DangÅ  I'm a fan of code-shaving.

On 2/29/12 8:42 AM, "Simon MacDonald" <simon.macdonald@gmail.com> wrote:

>-1
>
>There is a bug in Android 4.0.3 that requires the shim to be there or
>WebSql DB's won't work. Bryce has the details.
>
>Simon Mac Donald
>http://hi.im/simonmacdonald
>
>
>
>On Wed, Feb 15, 2012 at 8:54 PM, Filip Maj <fil@adobe.com> wrote:
>> This makes perfect sense for me and shaves off a bunch of code from the
>> repo. +1
>>
>> On 12-02-15 3:27 PM, "Joe Bowser" <bowserj@gmail.com> wrote:
>>
>>>Hey
>>>
>>>Since we're not supporting Android 1.5 and 1.6 anymore, I don't see the
>>>need to have the DroidDB shim.  I understand it was for Android 3.0
>>>support, but since Android 3.0 has been upgraded into virtual obsolence
>>>I'm
>>>thinking we should cut support for it as well on the tablet side and
>>>have
>>>our baseline be Android 3.1 for Android Tablet support.  That way we can
>>>get rid of the DroidDB shim and not have to patch for WebSQL.
>>>
>>>http://developer.android.com/resources/dashboard/platform-versions.html
>>>
>>>Is everyone cool with removing support for Android 3.0? There are far
>>>less
>>>people using it than there are Android 1.5 devices out there, and I
>>>don't
>>>see this number ever increasing.
>>>
>>>Joe
>>


Mime
View raw message